Bug 56292 - Add the check of the Java's version in startup files and disable some options when is Java v8 engine
Summary: Add the check of the Java's version in startup files and disable some options...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: Nightly (Please specify date)
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-20 07:33 UTC by Milamber
Modified: 2014-05-26 23:05 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milamber 2014-03-20 07:33:02 UTC
Modify the jmeter.bat / jmeter startup files to check the minimal java's version to run JMeter (currently Java 6).

Disable -XX:PermSize=64m and -XX:MaxPermSize=128m option in startup files (support for theses option was removed in 8.0)

See e.g.
http://openjdk.java.net/jeps/122
http://mail.openjdk.java.net/pipermail/hotspot-dev/2012-September/006679.html
http://java.dzone.com/articles/java-8-permgen-metaspace
Comment 1 Milamber 2014-03-20 07:44:25 UTC
URL: http://svn.apache.org/r1579552
Log:
Add the check of the Java's version in startup files and disable some options when is Java v8 engine
Bugzilla Id: 56292

Modified:
    jmeter/trunk/bin/jmeter
    jmeter/trunk/bin/jmeter.bat
    jmeter/trunk/xdocs/changes.xml
Comment 2 Milamber 2014-03-20 07:49:08 UTC
I keep this bug open because we need make some tests with an Mac OS platform (=> Philippe?) 

Some tests with Solaris platform too. (=> Rainer?)

(and perhaps with Windows)


Use cases:
1/ Launch with Java 8 => launch with succes without warning messages on PermGen
2/ Launch with Java 6 or 7 => launch with success
3/ Launch with Java 1.5 => error message

Thanks
Comment 3 Philippe Mouawad 2014-03-22 20:27:22 UTC
Hello,
Test on Mac OSX 10.8.5:
1/ Launch with Java 8 => launch with success without warning messages on PermGen
2/ Launch with Java 6 or 7 => launch with success
Comment 4 Sebb 2014-04-24 20:57:19 UTC
There are several issues with the recent changes to the jmeter.bat script as at r1589877:

- script modifies the external environment because it sets variables before the "setlocal" command

- script does not detect a missing Java installation. 
On my system it shows the error "The syntax of the command is incorrect."
Comment 5 Sebb 2014-04-24 21:35:39 UTC
URL: http://svn.apache.org/r1589877
Log:
Fix errorlevel bugs; show detected version.

Modified:
    jmeter/trunk/bin/jmeter.bat
Comment 6 Sebb 2014-04-24 21:37:00 UTC
URL: http://svn.apache.org/r1589888
Log:
Bug 56292: fix check for missing Java

Modified:
    jmeter/trunk/bin/jmeter.bat
Comment 7 Sebb 2014-04-24 21:38:20 UTC
(In reply to Sebb from comment #4)
> There are several issues with the recent changes to the jmeter.bat script as
> at r1589877:
> 
> - script modifies the external environment because it sets variables before
> the "setlocal" command

Fixed as part of Bug 56455

> - script does not detect a missing Java installation. 
> On my system it shows the error "The syntax of the command is incorrect."

Fixed in http://svn.apache.org/r1589888
Comment 8 Philippe Mouawad 2014-05-26 20:50:06 UTC
Is this issue fixed or is there still some work on it ?
Thanks
Comment 9 Sebb 2014-05-26 23:05:57 UTC
It seems to be working OK on Windows and MacOS now